Package it.ernytech.tdlib

## Class TdApi.FileType

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.FileType

Direct Known Subclasses:
  `TdApi.FileTypeAnimation`, `TdApi.FileTypeAudio`, `TdApi.FileTypeDocument`, `TdApi.FileTypeNone`, `TdApi.FileTypePhoto`, `TdApi.FileTypeProfilePhoto`, `TdApi.FileTypeSecret`, `TdApi.FileTypeSecretThumbnail`, `TdApi.FileTypeSticker`, `TdApi.FileTypeThumbnail`, `TdApi.FileTypeUnknown`, `TdApi.FileTypeVideo`, `TdApi.FileTypeVideoNote`, `TdApi.FileTypeVoiceNote`, `TdApi.FileTypeWallpaper`

Enclosing class:
  TdApi

    public abstract static class TdApi.FileType
    extends TdApi.Object

This class is an abstract base class. Represents the type of a file.

### Constructor Summary

Constructors
`FileType()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### FileType

    public FileType()